Bug 1196 - Disable sv_multikeybinds for pure vanilla games
Disable sv_multikeybinds for pure vanilla games
Status: RESOLVED WONTFIX
Product: Odamex
Classification: Unclassified
Component: Server & Client
0.7.x
All All
: P1 normal
Assigned To: Odamex Bug Reporter
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 09:07 CDT by capo
Modified: 2016-11-11 19:26 CST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description capo 2016-10-12 09:07:31 CDT
I just tested prboom, there is uncapped, widescreen etc, it feels so good like odamex basically for me. But when i disable auto strafe there, its so much different. 
I just found how much auto srafe aliases broke the vanilla gameplay. It doesnt matter if they have this on ZD where the movement is already broken anyway. But on this port we are so close to vanilla with right settings and this thing just broke it basically. Could be nice have choice disable auto strafe50 aliases. I already host vanilla entryway server and should def dissable sv_multikeybinds on my server at least for testing.
Comment 1 Russell Rice 2016-10-13 00:45:24 CDT
Is this trunk? Because a patch was committed that allows two key strafe50
Comment 2 Ralph Vickers 2016-11-11 19:26:01 CST
This can be easily circumvented in the client and there is no point in implementing this. Agreed among team members. Closed as won't fix